{% extends "index.html" %}

{% block content %}
<p></p>
<form class="d-flex" method="get" action="{% url 'students:list' %}" >
    <select class="form-select" name="course_id">
    <option value="none" hidden="">Choose a course to search students</option>
        {% for course in courses_list %}
        <option value={{course.id}}>{{ course.name }}</option>
        {% endfor %}
    </select>
    <button class="btn btn-outline-success" action="submit">Search</button>
</form>
<br>
<table class="table">
    <thead>
    <tr>
        <th scope="col">Avatar</th>
        <th scope="col">First name</th>
        <th scope="col">Last name</th>
        <th scope="col">Email</th>
        <th scope="col">Phone number</th>
        <th scope="col">Birthdate</th>
        <th scope="col">Age</th>
        <th scope="col">Course</th>
        <th scope="col">Resume</th>
        <th scope="col">Invitations</th>
        <th scope="col">Update</th>
        <th scope="col">Delete</th>

    </tr>
    </thead>
    <tbody>
    {% for student in students_list %}
    <tr>
        {% if student.avatar %}
            <td><img src="{{ student.avatar.url }}" width="70" height="80">
            </td>
        {% else %}
            <td>Student without avatar</td>
        {% endif %}
        <td>{{ student.first_name }}</td>
        <td>{{ student.last_name }}</td>
        <td>{{ student.email }}</td>
        <td>{{ student.phone_number }}</td>
        <td>{{ student.birthdate }}</td>
        <td>{{ student.age }}</td>
        <td>{{ student.course }}</td>
        <td>
            {% if student.resume %}
            <a href="{{ student.resume.url }}" download>Download</a>
            {% else %}
            <p>No resume</p>
            {% endif %}
        </td>
        <td>{{ student.invitations }}</td>
        <td>
            <a type="button" class="btn btn-warning"
               href="{% url 'students:update' pk=student.id %}">Update
            </a>
        </td>
        <td>
            <a type="button" class="btn btn-danger"
               href="{% url 'students:delete' pk=student.id %}">Delete
            </a>
        </td>

    </tr>
    {% endfor %}

        </tbody>
    </table>
{% endblock %}
